/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgeneinstallmenttypePK implements Serializable {

    @Basic(optional = false)
    @Column(name = "INSTALLMENTTYPE")
    private String installmenttype;
    @Basic(optional = false)
    @Column(name = "MODULECODE")
    private String modulecode;

    public TgeneinstallmenttypePK() {
    }

    public TgeneinstallmenttypePK(String installmenttype, String modulecode) {
        this.installmenttype = installmenttype;
        this.modulecode = modulecode;
    }

    public String getInstallmenttype() {
        return installmenttype;
    }

    public void setInstallmenttype(String installmenttype) {
        this.installmenttype = installmenttype;
    }

    public String getModulecode() {
        return modulecode;
    }

    public void setModulecode(String modulecode) {
        this.modulecode = modulecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (installmenttype != null ? installmenttype.hashCode() : 0);
        hash += (modulecode != null ? modulecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgeneinstallmenttypePK)) {
            return false;
        }
        TgeneinstallmenttypePK other = (TgeneinstallmenttypePK) object;
        if ((this.installmenttype == null && other.installmenttype != null) || (this.installmenttype != null && !this.installmenttype.equals(other.installmenttype))) {
            return false;
        }
        if ((this.modulecode == null && other.modulecode != null) || (this.modulecode != null && !this.modulecode.equals(other.modulecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgeneinstallmenttypePK[ installmenttype=" + installmenttype + ", modulecode=" + modulecode + " ]";
    }
    
}
